animationSystem.cameraSpring.use 1
animationSystem.cameraSpring.amplitude 0.015/0.015/0.015
animationSystem.cameraSpring.zoomDamping 2.5/2.5/0
animationSystem.cameraSpring.stiffness 10/10/10
animationSystem.cameraSpring.move 2/2/2
animationSystem.cameraSpring.look 1/1
animationSystem.cameraSpring.fire 0/0/150

rem *** Animations ***
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_deploy.baf
animationManager.looping 0
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_fire.baf
animationManager.looping 0
animationManager.length 0.45
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_reload.baf
animationManager.looping 0
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_run.baf
animationManager.length 0.7
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_sprint.baf
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_stand.baf

rem *** Bundles ***
animationSystem.createBundle deploy
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_deploy.baf

animationSystem.createBundle fire
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0.05
animationBundle.playForever 1
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_fire.baf

animationSystem.createBundle reload
animationBundle.isLooping 0
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_reload.baf

animationSystem.createBundle run
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_run.baf

animationSystem.createBundle sprint
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_sprint.baf

animationSystem.createBundle still
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/1p/1p_Ultralight_stand.baf


rem *** Triggers ***
animationSystem.createTrigger Trigger still
animationTrigger.addBundle still

animationSystem.createTrigger MovementTrigger move
animationTrigger.addBundle run
animationTrigger.valueHolder 1p_move

animationSystem.createTrigger MovementTrigger sprint
animationTrigger.addBundle sprint
animationTrigger.valueHolder 1p_sprint

animationSystem.createTrigger MessageTrigger fire
animationTrigger.addBundle fire
animationTrigger.message 1

animationSystem.createTrigger MessageTrigger reload
animationTrigger.addBundle reload
animationTrigger.message 2

animationSystem.createTrigger Trigger normal
animationTrigger.addChild still
animationTrigger.addChild move
animationTrigger.addChild sprint
animationTrigger.addChild fire
animationTrigger.addChild reload

animationSystem.createTrigger SwitchMessageTrigger root
animationTrigger.addChild normal
animationTrigger.message 4

animationSystem.createTrigger Trigger startup
animationTrigger.addBundle deploy

animationSystem.createTrigger Trigger completeTree
animationTrigger.addChild root
animationTrigger.addChild startup

