
rem *** Animations ***
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_reload.baf
animationManager.looping 0
animationManager.ignoreMotherOrientation 12
animationSystem.createAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_runBackward.baf
animationManager.length 0.666667
animationSystem.createAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_runForward.baf
animationManager.length 0.666667
animationSystem.createAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_sprint.baf
animationManager.length 0.583333
animationSystem.createAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_stand.baf
animationManager.ignoreMotherOrientation 12
animationSystem.createAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_standDeploy.baf
animationManager.looping 0
animationManager.ignoreMotherOrientation 12
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_standFire.baf
animationManager.looping 0
animationManager.ignoreMotherOrientation 12
animationManager.length 0.45
animationSystem.createAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_strafeLeft.baf
animationManager.length 0.666667
animationSystem.createAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_strafeRight.baf
animationManager.length 0.666667
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_walkBackward.baf
animationManager.length 1.08333
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_walkForward.baf
animationManager.length 1.08333
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_walkLeft.baf
animationSystem.createAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_walkRight.baf

rem *** Bundles ***
animationSystem.createBundle hit
animationBundle.isLooping 0
animationBundle.fadeInTime 0.1

animationSystem.createBundle stand_fire
animationBundle.isLooping 0
animationBundle.abruptPlayback 1
animationBundle.fadeInTime 0.01
animationBundle.fadeOutTime 0
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_standFire.baf

animationSystem.createBundle stand_reload
animationBundle.isLooping 0
animationBundle.fadeInTime 0.1
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_reload.baf

animationSystem.createBundle stand_run
animationBundle.fadeInTime 0.1
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_strafeLeft.baf
animationBundle.addAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_strafeRight.baf
animationBundle.addAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_runBackward.baf
animationBundle.addAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_runForward.baf

animationSystem.createBundle stand_sprint
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_sprint.baf

animationSystem.createBundle stand_still
animationBundle.addAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_stand.baf

animationSystem.createBundle stand_walk
animationBundle.fadeInTime 0.4
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_walkLeft.baf
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_walkRight.baf
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_walkBackward.baf
animationBundle.addAnimation Objects/Weapons/Handheld/Ultralight_deployable/Animations/3p/3p_Ultralight_walkForward.baf

animationSystem.createBundle standDeploy
animationBundle.isLooping 0
animationBundle.fadeInTime 0.01
animationBundle.addAnimation Objects/Weapons/HandHeld/Ultralight_deployable/Animations/3p/3p_Ultralight_standDeploy.baf


rem *** Triggers ***

animationSystem.createTrigger MovementTrigger stand_still
animationTrigger.addChild stand_turn
animationTrigger.addBundle stand_still
animationTrigger.valueHolder 3p_still

animationSystem.createTrigger MovementTrigger stand_walk
animationTrigger.addBundle stand_walk
animationTrigger.valueHolder 3p_stand_walk

animationSystem.createTrigger MovementTrigger stand_run
animationTrigger.addBundle stand_run
animationTrigger.valueHolder 3p_stand_run

animationSystem.createTrigger ForwardTrigger stand_sprint
animationTrigger.addBundle stand_sprint
animationTrigger.valueHolder 3p_sprint

animationSystem.createTrigger MessageTrigger stand_fire
animationTrigger.addBundle stand_fire
animationTrigger.message 1

animationSystem.createTrigger MessageTrigger stand_reload
animationTrigger.addBundle stand_reload
animationTrigger.message 2

animationSystem.createTrigger Trigger stand
animationTrigger.fadeInTime 0.3
animationTrigger.addChild stand_still
animationTrigger.addChild stand_walk
animationTrigger.addChild stand_run
animationTrigger.addChild stand_sprint
animationTrigger.addChild stand_fire
animationTrigger.addChild stand_reload

animationSystem.createTrigger PoseTrigger root
animationTrigger.addChild stand

animationSystem.createTrigger Trigger hit
animationTrigger.addBundle hit

animationSystem.createTrigger Trigger standDeploy
animationTrigger.addBundle standDeploy

animationSystem.createTrigger PoseTrigger startup
animationTrigger.addChild standDeploy

animationSystem.createTrigger Trigger completeTree
animationTrigger.addChild root
animationTrigger.addChild hit
animationTrigger.addChild startup

